> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/factory.md).

# Factory

### EthereumEventConfigurationFactory

#### **`deploy`**

Membuat contoh kontrak EthereumEventConfiguration.

```
function deploy(
        address _owner,
        IEthereumEventConfiguration.BasicConfiguration basicConfiguration,
        IEthereumEventConfiguration.EthereumEventConfiguration networkConfiguration
    ) external view reserveMinBalance(MIN_CONTRACT_BALANCE)
```

**Parameter:**

| Nama                 | Jenis                      | Deskripsi                                                                                       |
| -------------------- | -------------------------- | ----------------------------------------------------------------------------------------------- |
| \_owner              | address                    | Alamat pemilik konfigurasi acara                                                                |
| basicConfiguration   | BasicConfiguration         | Konfigurasi dasar untuk acara termasuk kode acara, saldo awal acara dll.                        |
| networkConfiguration | EthereumEventConfiguration | Konfigurasi acara ethereum, termasuk pengeluar acara, id chain, angka block awal dan akhir dll. |

#### **`deriveConfigurationAddress`**

Menginisialisasi keadaan dengan mengatur kontrak, konfigurasi dasar dan jaringan dan kode konfig dan alamat konfigurasi pengembalian berdasarkan keadaan yang diinisialisasi.

```
function deriveConfigurationAddress(
        IEthereumEventConfiguration.BasicConfiguration basicConfiguration,
        IEthereumEventConfiguration.EthereumEventConfiguration networkConfiguration
    ) external view returns(address)
```

**Parameter:**

| Nama                 | Jenis                      | Deskripsi                                                                                       |
| -------------------- | -------------------------- | ----------------------------------------------------------------------------------------------- |
| basicConfiguration   | BasicConfiguration         | Konfigurasi dasar untuk acara termasuk kode acara, saldo awal acara dll.                        |
| networkConfiguration | EthereumEventConfiguration | Konfigurasi acara ethereum, termasuk pengeluar acara, id chain, angka block awal dan akhir dll. |
| networkConfiguration | EthereumEventConfiguration | Konfigurasi acara ethereum, termasuk pengeluar acara, id chain, angka block awal dan akhir dll. |

**Nilai hasil:**

| Jenis   | Deskripsi          |
| ------- | ------------------ |
| address | Alamat konfigurasi |

### EverscaleEventConfigurationFactory

#### **`deploy`**

Membuat contoh kontrak baru EverscaleEventConfiguration.

function deploy( address \_owner, IEverscaleEventConfiguration.BasicConfiguration basicConfiguration, IEverscaleEventConfiguration.EverscaleEventConfiguration networkConfiguration ) external view reserveMinBalance(MIN\_CONTRACT\_BALANCE)

**Parameter:**

| Nama                 | Jenis                       | Deskripsi                                                                              |
| -------------------- | --------------------------- | -------------------------------------------------------------------------------------- |
| \_owner              | address                     | Alamat pemilik konfigurasi acara                                                       |
| basicConfiguration   | BasicConfiguration          | Konfigurasi dasar untuk acara termasuk kode acara, saldo awal acara dll.               |
| networkConfiguration | EverscaleEventConfiguration | Konfigurasi acara everscale, termasuk pengeluar acara, angka block awal dan akhir dll. |

#### **`deriveConfigurationAddress`**

Menginisialisasi keadaan dengan mengatur kontrak, konfigurasi dasar dan jaringan dan kode konfig dan alamat konfigurasi pengembalian berdasarkan keadaan yang diinisialisasi.

```
function deriveConfigurationAddress(
        IEverscaleEventConfiguration.BasicConfiguration basicConfiguration,
        IEverscaleEventConfiguration.EverscaleEventConfiguration networkConfiguration
    ) external view returns(address)
```

**Parameter:**

| Nama                 | Jenis                       | Deskripsi                                                                              |
| -------------------- | --------------------------- | -------------------------------------------------------------------------------------- |
| basicConfiguration   | BasicConfiguration          | Konfigurasi dasar untuk acara termasuk kode acara, saldo awal acara dll.               |
| networkConfiguration | EverscaleEventConfiguration | Konfigurasi acara everscale, termasuk pengeluar acara, angka block awal dan akhir dll. |

**Nilai hasil:**

| Jenis   | Deskripsi          |
| ------- | ------------------ |
| address | Alamat konfigurasi |

### ProxyTokenTransferFactory

#### **`deploy`**

Membuat contoh kontrak baru ProxyTokenTransfer.

```
function deploy(address _owner, uint _randomNonce) external reserveMinBalance(MIN_CONTRACT_BALANCE)
```

**Parameter:**

| Nama          | Jenis   | Deskripsi                                         |
| ------------- | ------- | ------------------------------------------------- |
| \_owner       | address | Alamat pemilik kontrak yang diluncurkan           |
| \_randomNonce | uint    | Nilai yang digunakan untuk membangun keadaan awal |

#### **`deriveProxyAddress`**

Menginisialisasi keadaan dengan mengatur kontrak, variabel dan kode proxy dan mengembalikan alamat proxy berdasarkan keadaan yang diinisialisasi.

```
function deriveProxyAddress(
        uint _randomNonce
    ) external view returns(address)
```

**Parameter:**

| Nama          | Jenis | Deskripsi                                         |
| ------------- | ----- | ------------------------------------------------- |
| \_randomNonce | uint  | Nilai yang digunakan untuk membangun keadaan awal |

**Nilai hasil:**

| Jenis   | Deskripsi                                        |
| ------- | ------------------------------------------------ |
| address | Alamat proxy yang digunakan untuk transfer token |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/factory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
